# Record TCefWriteHandler

Description
Hierarchy
Fields
Methods
Properties

## Unit

uCEFTypes

## Declaration

`type TCefWriteHandler = record`

## Description

Structure the client can implement to provide a custom stream writer. The functions of this structure may be called on any thread.

NOTE: This struct is allocated client-side.

Implemented by ICefWriteHandler.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_stream_capi.h">CEF source file: /include/capi/cef_stream_capi.h (cef_write_handler_t))

## Overview

### Fields

| `base: TCefBaseRefCounted;`
| `write: function(self: PCefWriteHandler; const ptr: Pointer; size, n: NativeUInt): NativeUInt; stdcall;`
| `seek: function(self: PCefWriteHandler; offset: Int64; whence: Integer): Integer; stdcall;`
| `tell: function(self: PCefWriteHandler): Int64; stdcall;`
| `flush: function(self: PCefWriteHandler): Integer; stdcall;`
| `may_block: function(self: PCefWriteHandler): Integer; stdcall;`

## Description

### Fields

| `base: TCefBaseRefCounted;`
This item has no description.

| `write: function(self: PCefWriteHandler; const ptr: Pointer; size, n: NativeUInt): NativeUInt; stdcall;`
This item has no description.

| `seek: function(self: PCefWriteHandler; offset: Int64; whence: Integer): Integer; stdcall;`
This item has no description.

| `tell: function(self: PCefWriteHandler): Int64; stdcall;`
This item has no description.

| `flush: function(self: PCefWriteHandler): Integer; stdcall;`
This item has no description.

| `may_block: function(self: PCefWriteHandler): Integer; stdcall;`
This item has no description.

Generated by PasDoc 0.16.0-snapshot.